RTEMS: mcTIMER_struct_tag Struct Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Data Fields
mcTIMER_struct_tag Struct Reference

## Data Fields
union {
mcTIMER_CHANNEL_tag CHANNEL [6]
struct {
mcTIMER_COMP1_16B_tag COMP10
mcTIMER_COMP2_16B_tag COMP20
mcTIMER_CAPT1_16B_tag CAPT10
mcTIMER_CAPT2_16B_tag CAPT20
mcTIMER_LOAD_16B_tag LOAD0
mcTIMER_HOLD_16B_tag HOLD0
mcTIMER_CNTR_16B_tag CNTR0
mcTIMER_CTRL1_16B_tag CTRL10
mcTIMER_CTRL2_16B_tag CTRL20
mcTIMER_CTRL3_16B_tag CTRL30
mcTIMER_STS_16B_tag STS0
mcTIMER_INTDMA_16B_tag INTDMA0
mcTIMER_CMPLD1_16B_tag CMPLD10
mcTIMER_CMPLD2_16B_tag CMPLD20
mcTIMER_CCCTRL_16B_tag CCCTRL0
mcTIMER_FILT_16B_tag FILT0
mcTIMER_COMP1_16B_tag COMP11
mcTIMER_COMP2_16B_tag COMP21
mcTIMER_CAPT1_16B_tag CAPT11
mcTIMER_CAPT2_16B_tag CAPT21
mcTIMER_LOAD_16B_tag LOAD1
mcTIMER_HOLD_16B_tag HOLD1
mcTIMER_CNTR_16B_tag CNTR1
mcTIMER_CTRL1_16B_tag CTRL11
mcTIMER_CTRL2_16B_tag CTRL21
mcTIMER_CTRL3_16B_tag CTRL31
mcTIMER_STS_16B_tag STS1
mcTIMER_INTDMA_16B_tag INTDMA1
mcTIMER_CMPLD1_16B_tag CMPLD11
mcTIMER_CMPLD2_16B_tag CMPLD21
mcTIMER_CCCTRL_16B_tag CCCTRL1
mcTIMER_FILT_16B_tag FILT1
mcTIMER_COMP1_16B_tag COMP12
mcTIMER_COMP2_16B_tag COMP22
mcTIMER_CAPT1_16B_tag CAPT12
mcTIMER_CAPT2_16B_tag CAPT22
mcTIMER_LOAD_16B_tag LOAD2
mcTIMER_HOLD_16B_tag HOLD2
mcTIMER_CNTR_16B_tag CNTR2
mcTIMER_CTRL1_16B_tag CTRL12
mcTIMER_CTRL2_16B_tag CTRL22
mcTIMER_CTRL3_16B_tag CTRL32
mcTIMER_STS_16B_tag STS2
mcTIMER_INTDMA_16B_tag INTDMA2
mcTIMER_CMPLD1_16B_tag CMPLD12
mcTIMER_CMPLD2_16B_tag CMPLD22
mcTIMER_CCCTRL_16B_tag CCCTRL2
mcTIMER_FILT_16B_tag FILT2
mcTIMER_COMP1_16B_tag COMP13
mcTIMER_COMP2_16B_tag COMP23
mcTIMER_CAPT1_16B_tag CAPT13
mcTIMER_CAPT2_16B_tag CAPT23
mcTIMER_LOAD_16B_tag LOAD3
mcTIMER_HOLD_16B_tag HOLD3
mcTIMER_CNTR_16B_tag CNTR3
mcTIMER_CTRL1_16B_tag CTRL13
mcTIMER_CTRL2_16B_tag CTRL23
mcTIMER_CTRL3_16B_tag CTRL33
mcTIMER_STS_16B_tag STS3
mcTIMER_INTDMA_16B_tag INTDMA3
mcTIMER_CMPLD1_16B_tag CMPLD13
mcTIMER_CMPLD2_16B_tag CMPLD23
mcTIMER_CCCTRL_16B_tag CCCTRL3
mcTIMER_FILT_16B_tag FILT3
mcTIMER_COMP1_16B_tag COMP14
mcTIMER_COMP2_16B_tag COMP24
mcTIMER_CAPT1_16B_tag CAPT14
mcTIMER_CAPT2_16B_tag CAPT24
mcTIMER_LOAD_16B_tag LOAD4
mcTIMER_HOLD_16B_tag HOLD4
mcTIMER_CNTR_16B_tag CNTR4
mcTIMER_CTRL1_16B_tag CTRL14
mcTIMER_CTRL2_16B_tag CTRL24
mcTIMER_CTRL3_16B_tag CTRL34
mcTIMER_STS_16B_tag STS4
mcTIMER_INTDMA_16B_tag INTDMA4
mcTIMER_CMPLD1_16B_tag CMPLD14
mcTIMER_CMPLD2_16B_tag CMPLD24
mcTIMER_CCCTRL_16B_tag CCCTRL4
mcTIMER_FILT_16B_tag FILT4
mcTIMER_COMP1_16B_tag COMP15
mcTIMER_COMP2_16B_tag COMP25
mcTIMER_CAPT1_16B_tag CAPT15
mcTIMER_CAPT2_16B_tag CAPT25
mcTIMER_LOAD_16B_tag LOAD5
mcTIMER_HOLD_16B_tag HOLD5
mcTIMER_CNTR_16B_tag CNTR5
mcTIMER_CTRL1_16B_tag CTRL15
mcTIMER_CTRL2_16B_tag CTRL25
mcTIMER_CTRL3_16B_tag CTRL35
mcTIMER_STS_16B_tag STS5
mcTIMER_INTDMA_16B_tag INTDMA5
mcTIMER_CMPLD1_16B_tag CMPLD15
mcTIMER_CMPLD2_16B_tag CMPLD25
mcTIMER_CCCTRL_16B_tag CCCTRL5
mcTIMER_FILT_16B_tag FILT5
} |
}; |
int8_t | mcTIMER_reserved_00C0 [64]
mcTIMER_WDTOL_16B_tag | WDTOL
mcTIMER_WDTOH_16B_tag | WDTOH
mcTIMER_FCTRL_16B_tag | FCTRL
mcTIMER_FSTS_16B_tag | FSTS
mcTIMER_FFILT_16B_tag | FFILT
int8_t | mcTIMER_reserved_010A [2]
mcTIMER_ENBL_16B_tag | ENBL
int8_t | mcTIMER_reserved_010E_C [2]
union {
mcTIMER_DREQ_16B_tag DREQ [4]
struct {
mcTIMER_DREQ0_16B_tag DREQ0
mcTIMER_DREQ1_16B_tag DREQ1
mcTIMER_DREQ2_16B_tag DREQ2
mcTIMER_DREQ3_16B_tag DREQ3
} |
}; |

The documentation for this struct was generated from the following file:

- bsps/powerpc/mpc55xxevb/include/mpc55xx/fsl-mpc564xL.h